Bug 102296 - Display of pictures cropped in Xubuntu corrupted in Win10
Summary: Display of pictures cropped in Xubuntu corrupted in Win10
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 126954 (view as bug list)
Depends on:
Blocks: Image-Crop
  Show dependency treegraph
 
Reported: 2016-09-19 19:55 UTC by Stefan L.
Modified: 2022-12-27 22:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Open with Windows 10 (32-bit) and look at pics in slides 5, 6 and 10. They are corrupted. (3.30 MB, application/vnd.oasis.opendocument.presentation)
2016-09-19 19:55 UTC, Stefan L.
Details
PDF showing the slides correctly as in Xubuntu (73.04 KB, application/pdf)
2016-10-08 20:11 UTC, Stefan L.
Details
PDF showing picture as corrupted in Win 10 (197.69 KB, application/pdf)
2016-10-08 20:14 UTC, Stefan L.
Details
Image to be cropped (42.45 KB, image/png)
2016-10-09 09:56 UTC, Buovjaga
Details
Cropping test using the image in LibO 5.3 (55.48 KB, application/vnd.oasis.opendocument.presentation)
2016-10-09 10:02 UTC, Buovjaga
Details
PDF from Xubuntu v5.1.4.2 (44.41 KB, application/pdf)
2016-10-09 13:20 UTC, Stefan L.
Details
PDF from Win10 v 5.1.3.2 (45.15 KB, application/pdf)
2016-10-09 13:20 UTC, Stefan L.
Details
PDF also showing slides corrupted in Win 10 with v5.2.2.2 (197.69 KB, application/pdf)
2016-10-09 15:40 UTC, Stefan L.
Details
PDF croppingelectrons Win10 v5.2.2.2 (45.15 KB, application/pdf)
2016-10-09 17:07 UTC, Stefan L.
Details
PDF croppingelectrons w/o setting Use OpenGL Win10 v5.2.2.2 (45.15 KB, application/pdf)
2016-10-09 18:14 UTC, Stefan L.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan L. 2016-09-19 19:55:34 UTC
Created attachment 127438 [details]
Open with Windows 10 (32-bit) and look at pics in slides 5, 6 and 10. They are corrupted.

In my presentation that I created with v5.1.4.2 on a Xubuntu 16.04 LTS 32-bit PC I added and cropped some pictures (see slides 5, 6 and 10). The odp was given to a colleague who works with v5.1.3.2 on Win 10 32-bit. The pictures appeared corrupted. The problem is reproducible with other Windows PCs.
I can only attach a single file this is why I took the odp. If needed, I could send you PDF-exports of the slides created with the mentioned systems showing the error.
Comment 1 Buovjaga 2016-10-08 19:30:19 UTC
Can you include the uncorrupted document so we can test?

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the document.
Comment 2 Stefan L. 2016-10-08 20:11:50 UTC
Created attachment 127882 [details]
PDF showing the slides correctly as in Xubuntu
Comment 3 Stefan L. 2016-10-08 20:14:11 UTC
Created attachment 127883 [details]
PDF showing picture as corrupted in Win 10
Comment 4 Buovjaga 2016-10-09 09:19:12 UTC
Ok, if you don't have the original uncorrupted document, can you attach the pictures so we can create a new document and crop?
Comment 5 Stefan L. 2016-10-09 09:38:27 UTC
Can you please tell me a bit more in detail what you need?

I attached the original presentation (first attachment, odp-file). It looks perfect, when opened with Impress under Xubuntu (second attachment, slides 5, 6, 10). But pictures in these slides are corrupted when opened with Impress for Windows (third attachment, slides 5, 6, 10).
Comment 6 Buovjaga 2016-10-09 09:56:44 UTC
Created attachment 127887 [details]
Image to be cropped

Image extracted from the .odp
Comment 7 Buovjaga 2016-10-09 10:02:09 UTC
Created attachment 127888 [details]
Cropping test using the image in LibO 5.3

In your corrupted .odp, I could see the bad results with my Linux version of LibO 5.3.

However, now that I tried to reproduce the cropping problem from scratch, I was not able to corrupt them. You can view the attached file to see, if it looks ok in all your systems as well.

Please try to make them corrupt with version 5.2.2.

Tested with:
Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: ff2a399b61f34f7920e594e8cbb6c19045b24956
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on October 7th 2016
Comment 8 Stefan L. 2016-10-09 13:20:01 UTC
Created attachment 127889 [details]
PDF from Xubuntu v5.1.4.2
Comment 9 Stefan L. 2016-10-09 13:20:50 UTC
Created attachment 127890 [details]
PDF from Win10 v 5.1.3.2
Comment 10 Stefan L. 2016-10-09 13:23:24 UTC
The file http://bugs.documentfoundation.org/attachment.cgi?id=127888 still looks different in these two versions.

A question: Can't you see and debug the bug when opening my file from the windows version v5.1.3.2 (32-bit)
Comment 11 Buovjaga 2016-10-09 13:28:45 UTC
(In reply to Stefan L. from comment #10)
> The file http://bugs.documentfoundation.org/attachment.cgi?id=127888 still
> looks different in these two versions.
> 
> A question: Can't you see and debug the bug when opening my file from the
> windows version v5.1.3.2 (32-bit)

Sure, I see the problem in your file, when I open it on Linux, I mentioned.

But please test with 5.2.2.
Comment 12 Stefan L. 2016-10-09 15:40:37 UTC
Created attachment 127894 [details]
PDF also showing slides corrupted in Win 10 with v5.2.2.2
Comment 13 Buovjaga 2016-10-09 15:50:58 UTC
(In reply to Stefan L. from comment #12)
> Created attachment 127894 [details]
> PDF also showing slides corrupted in Win 10 with v5.2.2.2

I meant to test with my own creation, attachment 127888 [details], as we know the old one is broken in the latest :)
Comment 14 Stefan L. 2016-10-09 17:07:15 UTC
Created attachment 127896 [details]
PDF croppingelectrons Win10 v5.2.2.2
Comment 15 Buovjaga 2016-10-09 17:16:40 UTC
(In reply to Stefan L. from comment #14)
> Created attachment 127896 [details]
> PDF croppingelectrons Win10 v5.2.2.2

Wow, it seems broken alright.

One more question: is this setting enabled Tools - Options - LibreOffice - View - Use OpenGL for all rendering?
If yes, what if you disable it? Does the problem go away?

I'll have to test my own file on Windows later..
Comment 16 Stefan L. 2016-10-09 18:12:45 UTC
I have a German UI. There is a check box that translates to "Use OpenGL for rendering (after restart). I have deactivated it and created a PDF.
However, even before the UI said "OpenGL is currently deactivated"
Comment 17 Stefan L. 2016-10-09 18:14:33 UTC
Created attachment 127898 [details]
PDF croppingelectrons w/o setting Use OpenGL Win10 v5.2.2.2
Comment 18 Buovjaga 2016-10-12 10:49:25 UTC
My own attachment 127888 [details] is working for me in Win 7. Weird.

Win 7 Pro 64-bit Version: 5.3.0.0.alpha0+
Build ID: e2f6c7f0d0cc14f851d7028ff846c5dc658a81c6
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-10_23:08:02
Locale: fi-FI (fi_FI); Calc: group
Comment 19 QA Administrators 2017-10-23 14:04:32 UTC Comment hidden (obsolete)
Comment 20 QA Administrators 2019-12-03 13:52:40 UTC Comment hidden (obsolete)
Comment 21 Timur 2020-03-23 17:39:39 UTC
*** Bug 126954 has been marked as a duplicate of this bug. ***
Comment 22 QA Administrators 2022-03-24 03:41:08 UTC
Dear Stefan L.,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug